Subject: Re: r8169: remove "PHY reset until link up" log spam

From: Peter Wu <[email-masked]>
Date: Tue, 23 Jul 2013 22:59:18 +0200

On Tuesday 23 July 2013 22:23:40 Francois Romieu wrote:
> Peter Wu <[email-masked]> :
> [...]
> 
> > Which user wants to get log spam every ten seconds ?
> 
> In my world users - be they big workstations or runtime pm enabled
> laptops - may not even care about log [1].
So I am not a real user either because I keep journalctl open / tailf log 
files? I see what you are trying to note, but I doubt the usefulness of this 
specific message. This message appears if:
 (1) The device has just been brought up.
 (2) Has not been connected before while being up.
 (3) Is enabled all the time (runtime PM?)
 (4) No reset it pending.

Only the last point cannot easily be determine from a log context, but these 
do not seem to appear on recent devices? (I've never experienced link issues 
with Realtek Ethernet cards, wireless is another thing)

> > This message was added almost ten years ago, Realtek must
> > certainly have improved their hardware not to be so crappy ?
> 
> With due respect to Realtek, git log or Realtek's own Release.txt file
> do not exactly paint the world as a faery of unicorns.
Or even using the file header as revision log... anyway, you cannot make money 
by selling just crap right? There is enough competition on this market.

Regards,
Peter